تین اسکیمیں
ہر اسکیم متن کا مختصر ٹکڑا ہے جسے فون درست ایپ کو دینا جانتا ہے۔ mailto: ای میل ایپ کھولتا ہے، tel: ڈائلر کھولتا ہے اور sms: میسجنگ ایپ کھولتا ہے، وصول کنندہ اور کبھی کبھی پیغام پہلے سے بھرا ہوا۔
فون نمبر بہترین طور پر بین الاقوامی شکل میں، جمع کے نشان اور ملک کے کوڈ کے ساتھ، کام کرتے ہیں، جیسے +15035550123، تاکہ کوڈ دوسرے ممالک سے آنے والوں کے لیے بھی چلے۔
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (پرانی روایت، اب بھی وسیع پیمانے پر پڑھی جاتی ہے)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (ای میل کی پرانی روایت)
پیغام کے متن کو انکوڈ کرنا
mailto اور sms لنکس میں سبجیکٹ اور پیغام کا متن پرسنٹ انکوڈ ہونا چاہیے، اس لیے خالی جگہ %20 بن جاتی ہے اور متن کے اندر ایمپرسینڈ %26۔ بغیر انکوڈ کیے حروف پیغام کو ادھورا کاٹ سکتے ہیں یا لنک توڑ سکتے ہیں۔
پلیٹ فارمز نے sms کے body پیرامیٹر کو ہمیشہ یکساں طور پر پارس نہیں کیا، اسی لیے پرانی SMSTO: شکل QR جنریٹرز میں اب بھی عام ہے۔ پرنٹ سے پہلے iPhone اور Android دونوں پر ٹیسٹ کرنا قابلِ اعتماد جانچ ہے۔
یہ کوڈ کیا نہیں کر سکتے
QR کوڈ خود ای میل نہیں بھیج سکتا، ٹیکسٹ نہیں بھیج سکتا اور کال نہیں کر سکتا۔ یہ صرف ایپ کو فیلڈز بھر کر کھولتا ہے، اور اسکین کرنے والا فیصلہ کرتا ہے کہ بھیجنے یا کال کا بٹن دبائے یا نہیں۔
چونکہ وصول کنندہ بھیجنے سے پہلے نظر آتا ہے، لوگوں کو جانچنا چاہیے کہ وہ ان کی توقع کے مطابق ہے۔ جو کوڈ پریمیم ریٹ نمبر یا اجنبی ایڈریس کو پیغام پہلے سے بھر دے وہ خطرے کی علامت ہے۔